<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>INFO-TV - The easy way to reach people</title>
</head>

<body>
<?php

///////////////////////////////////
// INFO-TV ADN processing script //
// Date: 17th of May 2010        //
// Last updated: 13.03.2016      //
// Programmer: Håkon Hassel      //
///////////////////////////////////


// Loading language support file //
require("../lang/current-language.inc.php");


// Setting up default variable //
$error = false;


// Getting data from cookies //
if(!isset($_COOKIE['username']))
{
	$_COOKIE['username'] = NULL;
}

if(!isset($_COOKIE['password']))
{
	$_COOKIE['password'] = NULL;
}

$username = $_COOKIE['username'];
$password = $_COOKIE['password'];


// Verifying content from COOKIES //
if($username == NULL)
{
	$error = true;
	$error_username = "No username entered!";
}
if($password == NULL)
{
	$error = true;
	$error_password = "No password entered!";
}



// Getting MySQL-settings //
require("../mysql_settings.php");

// Connecting to MySQL-server //
$link = mysqli_connect($mysql_server,$mysql_username,$mysql_password) or die (mysql_error());
mysqli_select_db($link, $mysql_database) or die (mysql_error());
$SQL = "$mysql_charset";
$result = mysqli_query($link, $SQL) or die (mysql_error());


// Removing special chars that can disable MySQL-security //
$username = mysqli_escape_string($link, $username);
$password = mysqli_escape_string($link, $password);


// Validating user account //
if($username > NULL and $password > NULL)
{
	$SQL = "SELECT * FROM accounts WHERE username='$username' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$rows = mysqli_num_rows($result);

	if($rows > 0)
	{
		$data = mysqli_fetch_array($result);
		if($data['password'] != $password)
		{
			$error = true;
			$error_password = "Authentication failed: password not valid!";
		}
	}
	else
	{
		$error = true;
		$error_username = "Authentication failed: no account found!";
	}
}

// If there is no error, proceed. If there is an error, print error message //
if($error == false)
{
	// Getting data from HTTP POST form //
	if(!isset($_POST['country']))
	{
		$_POST['country'] = NULL;
	}

	if(!isset($_POST['external_adn']))
	{
		$_POST['external_adn'] = NULL;
	}

	if(!isset($_GET['activate']))
	{
		$_GET['activate'] = NULL;
	}

	$country      = $_POST['country'];
	$external_adn = $_POST['external_adn'];
	$activate     = $_GET['activate'];
	
	
	// Converting special chars to HTML-format //
	$country = htmlspecialchars($country);
	$country = mysqli_escape_string($link, $country);
	$activate = htmlspecialchars($activate);
	
	$external_adn = htmlspecialchars($external_adn);
	$external_adn = mysqli_escape_string($link, $external_adn);
	$activate = mysqli_escape_string($link, $activate);
	
	
	if($external_adn != "on")
	{
		$external_adn = "off";
	}
	
	
	// Updating settings table in MySQL //
	$SQL = "UPDATE settings SET country=('') WHERE id='1' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	
	$SQL = "UPDATE settings SET external_adn=('off') WHERE id='1' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	
	
	// Getting the installation token from DB //
	$SQL = "SELECT * FROM settings WHERE id=1 LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data = mysqli_fetch_array($result);
	$installation_token = $data['installation_token'];
	
	
	// Testing the connection to info-tv.org //
	$timeout = 2; 
	$test_connection = fsockopen("adn.info-tv.org", 80, $errno, $errstr, $timeout);
	
	if($test_connection != NULL)
	{
		if($activate == "true")
		{
			$handle = fopen("http://activation.info-tv.org/activate_info-tv.php?accesscode=jkgy2388yrutgyw47tr73ty389573&installation_token=$installation_token","r");
			$result = fread($handle, 15);
			fclose($handle);
			
			if($result == "OK")
			{
				// Getting data from HTTP GET form //
				$country = $_GET['country'];
				$external_adn = $_GET['external_adn'];
			
				// Converting special chars to HTML-format //
				$country = htmlspecialchars($country);
				$country = mysqli_escape_string($link, $country);
				
				$external_adn = htmlspecialchars($external_adn);
				$external_adn = mysqli_escape_string($link, $external_adn);
				
				
				if($external_adn != "on")
				{
					$external_adn = "off";
				}
				
				// Updating settings table in MySQL //
				$SQL = "UPDATE settings SET country=('$country') WHERE id='1' LIMIT 1";
				$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
				
				$SQL = "UPDATE settings SET external_adn=('$external_adn') WHERE id='1' LIMIT 1";
				$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
				
				print '<script language="javascript">
		var Connectivity_check= alert("'.$strCp_activated.'"); window.location="admin_cp2.php"; </script></body></html>';
		exit;
			}
		}
			
		$handle = fopen("http://activation.info-tv.org/activate_info-tv.php?accesscode=jkgy2388yrutgyw47tr73ty389573&installation_token=$installation_token&activation_check=true","r");
		$result = fread($handle, 15);
		fclose($handle);
		
		if($result != "OK")
		{
			print '<script language="javascript">
		var Connectivity_check= confirm("'.$strErrorCp_notactivated.'"); window.location="admin_cp2.php"; if(Connectivity_check){ window.location="alter_adn.php?activate=true&country='.$country.'&external_adn='.$external_adn.'"; } </script>';
		}
		else
		{
			// Updating settings table in MySQL //
			$SQL = "UPDATE settings SET country=('$country') WHERE id='1' LIMIT 1";
			$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
			
			$SQL = "UPDATE settings SET external_adn=('$external_adn') WHERE id='1' LIMIT 1";
			$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
			
			print '<script language="javascript">
		var Connectivity_check= alert("'.$strCp_adn_ok.'"); window.location="admin_cp2.php"; </script>';
		}
	}
	else
	{
		print '<script language="javascript">
		var Connectivity_check= alert("'.$strErrorCp_adn_timeout.'"); window.location="admin_cp2.php"; </script>';
	}
}
else
{
	print "<p>$error_username<br />$error_password</p>";
}

?>

</body>
</html>