<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="refresh" content="1;url=admin_cp.php" />
<title>INFO-TV - The easy way to reach people</title>
</head>

<body>
<?php

//////////////////////////////////////////
// INFO-TV Newsticker processing script //
// Date: 24rd of February 2008          //
// Last updated: 13.03.2016             //
// Programmer: Håkon Hassel             //
//////////////////////////////////////////


// Loading language support file //
require("../lang/current-language.inc.php");


// Setting up default variable //
$error = false;


// Getting data from cookies //
if(!isset($_COOKIE['username']))
{
	$_COOKIE['username'] = NULL;
}

if(!isset($_COOKIE['password']))
{
	$_COOKIE['password'] = NULL;
}

$username = $_COOKIE['username'];
$password = $_COOKIE['password'];


// Verifying content from COOKIES //
if($username == NULL)
{
	$error = true;
	$error_username = "No username entered!";
}
if($password == NULL)
{
	$error = true;
	$error_password = "No password entered!";
}



// Getting MySQL-settings //
require("../mysql_settings.php");

// Connecting to MySQL-server //
$link = mysqli_connect($mysql_server,$mysql_username,$mysql_password) or die (mysqli_error($link));
mysqli_select_db($link, $mysql_database) or die (mysqli_error($link));
$SQL = "$mysql_charset";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));


// Removing special chars that can disable MySQL-security //
$username = mysqli_escape_string($link, $username);
$password = mysqli_escape_string($link, $password);


// Validating user account //
if($username > NULL and $password > NULL)
{
	$SQL = "SELECT * FROM accounts WHERE username='$username' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$rows = mysqli_num_rows($result);

	if($rows > 0)
	{
		$data = mysqli_fetch_array($result);
		if($data['password'] != $password)
		{
			$error = true;
			$error_password = "Authentication failed: password not valid!";
		}
	}
	else
	{
		$error = true;
		$error_username = "Authentication failed: no account found!";
	}
}

// If there is no error, proceed. If there is an error, print error message //
if($error == false)
{
	// Getting data from HTTP POST form //
	if(!isset($_POST['content']))
	{
		$_POST['content'] = NULL;
	}

	$content   = $_POST['content'];
	
	
	// Converting special chars to HTML-format //
	$content = htmlspecialchars($content);
	$content = mysqli_escape_string($link, $content);
	
	
	// Updating newsticker in MySQL //
	$SQL = "UPDATE newsticker SET content=('$content') WHERE id='1' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysql_error($link));
	
	// Printing result to user //
	print '<br /><br /><br /><br /><br /><br /><br /><br /><br />
<p align="center"><span style="font-family:Verdana; font-size:16pt; color:#0000FF;">'.$strCp_updated.'</span></p>';
}
else
{
	print "<p>$error_username<br />$error_password</p>";
}

?>

</body>
</html>