<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>INFO-TV - Installer</title>
<style type="text/css">
body {
	background-color:#F8F8F8;
}

table.header {
	width:900px;
	margin-left:auto;
	margin-right:auto;
	height:80px;
	border:1px solid #000000;
	background-image:url(images/info-tv_logo.gif);
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:24pt;
	color:#000000;
	text-align:right;
}

table.content {
	width:900px;
	margin-left:auto;
	margin-right:auto;
	height:auto;
	border-left:1px solid #000000;
	border-right:1px solid #000000;
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#000000;
	text-align:left;
}

table.content_block_blue {
	width:100%;
	height:auto;
	border:3px solid #0099CC;
}

table.content_forms {
	height:auto;
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#000000;
	text-align:left;
	margin-left:0px;
}

table.footer {
	width:900px;
	margin-left:auto;
	margin-right:auto;
	height:25px;
	border:1px solid #000000;
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#000000;
	text-align:center;
}

input.textbox {
	border:1px solid #000000;
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#00F;
}

input.submitbtn {
	border:1px solid #000000;
	background-image:url(images/green_line.gif);
	font-family:Tahoma, Geneva, sans-serif;
	font-size:13pt;
	color:#000000;
}
</style>

<script type="text/javascript">
function placefocus() {
	document.form1.mysql_server.focus();
}
</script>
</head>

<body onload="placefocus()">
<?php

///////////////////////////////////
// INFO-TV.ORG - Installer       //
// Date: 4th of August 2009      //
// Updated: 01.04.2024           //
// Programmer: Håkon Hassel      //
///////////////////////////////////


### LOADING MULTI-LANGUAGE SUPPORT ##################################################################################
																													#
require("lang/current-language.inc.php");					    													#
																													#
#####################################################################################################################


### SETTING UP DEFAULT VALUES #######################################################################################
																													#
$error   = false;																									#
$trigger = false;																									#
																													#
#####################################################################################################################


### GETTING INPUT DATA FROM HTTP POST ###############################################################################
																													#
// MySQL-Configuration Data //

if(!isset($_POST['mysql_server']))
{
	$_POST['mysql_server'] = NULL;
}

if(!isset($_POST['mysql_username']))
{
	$_POST['mysql_username'] = NULL;
}																#
																#
if(!isset($_POST['mysql_password']))
{
	$_POST['mysql_password'] = NULL;
}	
															#
if(!isset($_POST['mysql_database']))
{
	$_POST['mysql_database'] = NULL;
}	

if(!isset($_POST['organization_name']))
{
	$_POST['organization_name'] = NULL;
}

if(!isset($_POST['admin_fullname']))
{
	$_POST['admin_fullname'] = NULL;
}

if(!isset($_POST['admin_username']))
{
	$_POST['admin_username'] = NULL;
}

if(!isset($_POST['admin_password']))
{
	$_POST['admin_password'] = NULL;
}

if(!isset($_POST['admin_password_repeat']))
{
	$_POST['admin_password_repeat'] = NULL;
}

if(!isset($_POST['activate_infotv']))
{
	$_POST['activate_infotv'] = NULL;
}

if(!isset($_POST['trigger']))
{
	$_POST['trigger'] = NULL;
}
														#
																#
$mysql_server          = $_POST['mysql_server'];														#
$mysql_username        = $_POST['mysql_username'];																	#
$mysql_password        = $_POST['mysql_password'];																	#
$mysql_database        = $_POST['mysql_database'];																	#
																													#
// Organization Information //																						#
$organization_name     = $_POST['organization_name'];																#
																													#
// Administrator Account Setup //																					#
$admin_fullname        = $_POST['admin_fullname'];																	#
$admin_username        = $_POST['admin_username'];																	#
$admin_password        = $_POST['admin_password'];																	#
$admin_password_repeat = $_POST['admin_password_repeat'];															#
																													#
// Activation Choice //																								#
$activate_infotv       = $_POST['activate_infotv'];																	#
																													#
// Trigger Data //																									#
$trigger               = $_POST['trigger'];																			#
																													#
#####################################################################################################################

// Trigger Data //																									#
$trigger = htmlspecialchars($trigger);																				#
																													#																			#
																													#
#####################################################################################################################


### PRINTING CLEAN INSTALLATION WIZARD if TRIGGER != true ###########################################################
																													#
if($trigger != true)																								#
{
	print '<!-- Header -->
<table class="header">
<tr>
<td></td>
</tr>
</table>

<!-- Content -->
<table class="content">
<tr>
<td style="width:25%; border:1px solid #000000; vertical-align:top;">'.$strInstaller_welcome.'
</td>
<td style="vertical-align:top;"><form action="install.php" method="post" name="form1"><span style="font-family:Tahoma, Geneva, sans-serif; font-size:21pt; color:#000000;">'.$strInstaller_headline.'</span><hr /><br />

<!-- Block one -->
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$strInstaller_subheading_mysql.'</span>
<table class="content_block_blue">
<tr>
<td>

<table class="content_forms">
<tr>
<td>'.$strInstaller_forms_mysql_server.'</td>
<td><input name="mysql_server" type="text" size="15" maxlength="255" class="textbox" /></td>
</tr>

<tr>
<td>'.$strInstaller_forms_mysql_username.'</td>
<td><input name="mysql_username" type="text" size="15" maxlength="255" class="textbox" /></td>
</tr>

<tr>
<td>'.$strInstaller_forms_mysql_password.'</td>
<td><input name="mysql_password" type="password" size="15" maxlength="255" class="textbox" /></td>
</tr>

<tr>
<td>'.$strInstaller_forms_mysql_database.'</td>
<td><input name="mysql_database" type="text" size="15" maxlength="255" class="textbox" /></td>
</tr>
</table>

</td>
</tr>
</table>
<br />
<br />

<!-- Block two -->
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$strInstaller_subheading_organization.'</span>
<table class="content_block_blue">
<tr>
<td>

<table class="content_forms">
<tr>
<td>'.$strInstaller_forms_organization_name.'</td>
<td><input name="organization_name" type="text" size="15" maxlength="255" class="textbox" /></td>
</tr>
</table>

</td>
</tr>
</table>
<br />
<br />

<!-- Block three -->
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$strInstaller_subheading_newadminaccount.'</span>
<table class="content_block_blue">
<tr>
<td>

<table class="content_forms">
<tr>
<td>'.$strInstaller_forms_admin_fullname.'</td>
<td><input name="admin_fullname" type="text" size="30" maxlength="255" class="textbox" /></td>
</tr>
<tr>
<td>'.$strInstaller_forms_admin_username.'</td>
<td><input name="admin_username" type="text" size="30" maxlength="255" class="textbox" /></td>
</tr>
<tr>
<td>'.$strInstaller_forms_admin_password.'</td>
<td><input name="admin_password" type="password" size="30" maxlength="255" class="textbox" /></td>
</tr>
<tr>
<td>'.$strInstaller_forms_admin_password_repeat.'</td>
<td><input name="admin_password_repeat" type="password" size="30" maxlength="255" class="textbox" /></td>
</tr>
</table>

</td>
</tr>
</table>
<br />
<br />

<!-- Block four -->
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$strInstaller_subheading_activation.'</span>
<table class="content_block_blue">
<tr>
<td>

<table class="content_forms">
<tr>
<td>'.$strInstaller_infotext_activation.'</td>
</tr>
<tr>
<td>'.$strInstaller_forms_activation.'</td>
<td><input name="activate_infotv" type="checkbox" value="true" checked /></td>
</tr>
</table>

</td>
</tr>
</table>
<br />
<br />
<input name="trigger" type="hidden" value="true" />
<input name="submit" type="submit" value="'.$strInstaller_forms_submitbtn.'" class="submitbtn" />
</form>


</td>
</tr>
</table>

<!-- Footer -->
<table class="footer">
<tr>
<td>'.$strCopyright.' &copy; INFO-TV.ORG 2006 - 2024</td>
</tr>
</table>';
}																													#
else																												#
{																													#
																													#
#####################################################################################################################

	### REMOVING SPECIAL CHARS THAT CAN INFLUENCE THE INSTALLATION ######################################################
																													#
// MySQL-Configuration Data //																						#
$mysql_server   	   = htmlspecialchars($mysql_server);															#
$mysql_username 	   = htmlspecialchars($mysql_username);															#
$mysql_password 	   = htmlspecialchars($mysql_password);															#
$mysql_database 	   = htmlspecialchars($mysql_database);															#
																																									#
																													#
// Organization Information //																						#
$organization_name 	   = htmlspecialchars($organization_name);														#
																													#													#
																													#
// Administrator Account Setup //																					#
$admin_fullname        = htmlspecialchars($admin_fullname);															#
$admin_username        = htmlspecialchars($admin_username);															#
$admin_password        = htmlspecialchars($admin_password);															#
$admin_password_repeat = htmlspecialchars($admin_password_repeat);													#
																													#											#
																													#
// Activation Choice //																								#
$activate_infotv = htmlspecialchars($activate_infotv);																#
																																											#
																													#


### VALIDATING INPUT DATA ###########################################################################################
																													#
// MySQL-Configuration Data //																						#
if($mysql_server == NULL)																							#
{																													#
	$error = true;																									#
	$error_mysql_server = $strErrorInstaller_forms_mysql_server;     												#
}																													#
if($mysql_username == NULL)																							#
{																													#
	$error = true;																									#
	$error_mysql_username = $strErrorInstaller_forms_mysql_username;	                 							#
}																													#
if($mysql_password == NULL)																							#
{																													#
	$error = true;																									#
	$error_mysql_password = $strErrorInstaller_forms_mysql_password;												#
}																													#
if($mysql_database == NULL)																							#
{																													#
	$error = true;																									#
	$error_mysql_database = $strErrorInstaller_forms_mysql_database;												#
}																													#
																													#
// Organization Information //																						#
if($organization_name == NULL)																						#
{																													#
	$error = true;																									#
	$error_organization_name = $strErrorInstaller_forms_organization_name;                    						#
}																													#
																													#
// Administrator Account Setup //																					#
if($admin_fullname == NULL)																							#
{																													#
	$error = true;																									#
	$error_admin_fullname = $strErrorInstaller_forms_admin_fullname;												#
}																													#
if($admin_username == NULL)																							#
{																													#
	$error = true;																									#
	$error_admin_username = $strErrorInstaller_forms_admin_username;												#
}																													#
if($admin_password == NULL)																							#
{																													#
	$error = true;																									#
	$error_admin_password = $strErrorInstaller_forms_admin_password;												#
}																													#
																													#
if($admin_password_repeat != $admin_password)																		#
{																													#
	$error = true;																									#
	$error_admin_password_repeat = $strErrorInstaller_forms_admin_password_repeat;									#
}																													#
																													#
#####################################################################################################################


### PERFORMS A SYSTEM CHECK TO ENSURE FULL COMPABILITY WITH THE SERVER ##############################################
																													#
// Is PHP 5 installed? //																							#
if(phpversion() < 5)																							    #
{																													#
	$error = true;																									#
	$error_phpversion = $strErrorInstaller_phpversion;																#
}																													#
																													#																												
#####################################################################################################################


### MAKE AN MYSQL-CONNECTION TO TEST IT #############################################################################
																													#
// Test MySQL-Connection //																							#
$timeout = "2";																										#
$test_connection = fsockopen($mysql_server, 3306, $errno, $errstr, $timeout);										#
																													#
if($test_connection != NULL)																						#
{																													#
	if(!mysqli_connect($mysql_server,$mysql_username,$mysql_password))												#
	{																												#
		$error = true;																								#
		$error_mysql_con = $strErrorInstaller_mysql_con;															#
	}
	else
	{
		$link = mysqli_connect($mysql_server,$mysql_username,$mysql_password);
	}																												#
																													#
	$SQL = "SET NAMES utf8";																						#
																													#
	if(!mysqli_query($link, $SQL))																							#
	{																												#
		$error = true;																								#
		$error_mysql_con = $strErrorInstaller_mysql_con;															#
	}																												#
}																													#
else																												#
{																													#
	$error = true;																									#
	$error_mysql_con = $strErrorInstaller_mysql_con;																#
}																													#
																													#
#####################################################################################################################


### PRINTING INSTALLATION WIZARD WITH ERROR MESSAGES IF THERE IS SOME EMPTY FORMS ###################################
																													#
if($error != false)
{
	print '<!-- Header -->
<table class="header">
<tr>
<td></td>
</tr>
</table>

<!-- Content -->
<table class="content">
<tr>
<td style="width:25%; border:1px solid #000000; vertical-align:top;">'.$strInstaller_welcome.'
</td>
<td style="vertical-align:top;"><form action="install.php" method="post" name="form1"><span style="font-family:Tahoma, Geneva, sans-serif; font-size:21pt; color:#000000;">'.$strInstaller_headline.'</span><hr /><span style="color:#F00;">'.$error_phpversion.'</span><br />

<!-- Block one -->
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$strInstaller_subheading_mysql.'</span>
<table class="content_block_blue">
<tr>
<td>

<table class="content_forms">
<tr>
<td>'.$strInstaller_forms_mysql_server.'</td>
<td><input name="mysql_server" type="text" value="'.$mysql_server.'" size="15" maxlength="255" class="textbox" /><span style="color:#F00;"> '.$error_mysql_server.' '.$error_mysql_con.'</span></td>
</tr>

<tr>
<td>'.$strInstaller_forms_mysql_username.'</td>
<td><input name="mysql_username" type="text" value="'.$mysql_username.'" size="15" maxlength="255" class="textbox" /><span style="color:#F00;"> '.$error_mysql_username.'</span></td>
</tr>

<tr>
<td>'.$strInstaller_forms_mysql_password.'</td>
<td><input name="mysql_password" type="password" size="15" maxlength="255" class="textbox" /><span style="color:#F00;"> '.$error_mysql_password.'</span></td>
</tr>

<tr>
<td>'.$strInstaller_forms_mysql_database.'</td>
<td><input name="mysql_database" type="text" value="'.$mysql_database.'" size="15" maxlength="255" class="textbox" /><span style="color:#F00;"> '.$error_mysql_database.'</span></td>
</tr>
</table>

</td>
</tr>
</table>
<br />
<br />

<!-- Block two -->
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$strInstaller_subheading_organization.'</span>
<table class="content_block_blue">
<tr>
<td>

<table class="content_forms">
<tr>
<td>'.$strInstaller_forms_organization_name.'</td>
<td><input name="organization_name" type="text" value="'.$organization_name.'" size="15" maxlength="255" class="textbox" /><span style="color:#F00;"> '.$error_organization_name.'</span></td>
</tr>
</table>

</td>
</tr>
</table>
<br />
<br />

<!-- Block three -->
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$strInstaller_subheading_newadminaccount.'</span>
<table class="content_block_blue">
<tr>
<td>

<table class="content_forms">
<tr>
<td>'.$strInstaller_forms_admin_fullname.'</td>
<td><input name="admin_fullname" type="text" value="'.$admin_fullname.'" size="30" maxlength="255" class="textbox" /><span style="color:#F00;"> '.$error_admin_fullname.'</span></td>
</tr>
<tr>
<td>'.$strInstaller_forms_admin_username.'</td>
<td><input name="admin_username" type="text" value="'.$admin_username.'" size="30" maxlength="255" class="textbox" /><span style="color:#F00;"> '.$error_admin_username.'</span></td>
</tr>
<tr>
<td>'.$strInstaller_forms_admin_password.'</td>
<td><input name="admin_password" type="password" size="30" maxlength="255" class="textbox" /><span style="color:#F00;"> '.$error_admin_password.'</span></td>
</tr>
<tr>
<td>'.$strInstaller_forms_admin_password_repeat.'</td>
<td><input name="admin_password_repeat" type="password" size="30" maxlength="255" class="textbox" /><span style="color:#F00;"> '.$error_admin_password_repeat.'</span></td>
</tr>
</table>

</td>
</tr>
</table>
<br />
<br />

<!-- Block four -->
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$strInstaller_subheading_activation.'</span>
<table class="content_block_blue">
<tr>
<td>

<table class="content_forms">
<tr>
<td>'.$strInstaller_infotext_activation.'</td>
</tr>
<tr>
<td>'.$strInstaller_forms_activation.'</td>
<td><input name="activate_infotv" type="checkbox" value="true" checked /></td>
</tr>
</table>

</td>
</tr>
</table>
<br />
<br />
<input name="trigger" type="hidden" value="true" />
<input name="submit" type="submit" value="'.$strInstaller_forms_submitbtn.'" class="submitbtn" />
</form>


</td>
</tr>
</table>

<!-- Footer -->
<table class="footer">
<tr>
<td>'.$strCopyright.' &copy; INFO-TV.ORG 2006 - 2024</td>
</tr>
</table>';
}																													#
else																												#
{																													#
																													#
#####################################################################################################################


### INSTALL INFO-TV IF ALL INPUT FORMS ARE CORRECT ##################################################################
																													#
// Creating MySQL Configuration File //																				#
$file = fopen("mysql_settings.php","w") or die ($strErrorInstaller_create_config_file);								#
fwrite($file,'<?php

// MySQL-settings //

# Connection settings for MySQL-server #
$mysql_server   = "'.$mysql_server.'";
$mysql_username = "'.$mysql_username.'";
$mysql_password = "'.$mysql_password.'";
$mysql_database = "'.$mysql_database.'";

# Setting up charset used for this connection #
$mysql_charset = "SET NAMES utf8";

?>');																												#
fclose($file);																										#
																													#
																													#
// Creating database used by INFO-TV //																				#
$SQL = "CREATE DATABASE `$mysql_database`";																			#
mysqli_query($link, $SQL);                                                  												#
mysqli_select_db($link, $mysql_database);                       															#


// Creating account table and adding admin user //
$SQL = "CREATE TABLE `$mysql_database`.`accounts` (`id` INT(5) NOT NULL AUTO_INCREMENT, `fullname` VARCHAR(255) NOT NULL, `username` VARCHAR(255) NOT NULL, `password` VARCHAR(255) NOT NULL, `accesstype` VARCHAR(255) NOT NULL, PRIMARY KEY (`id`)) ENGINE = InnoDB";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));

$admin_password = md5($admin_password);
$SQL = "INSERT INTO accounts (`id`,`fullname`,`username`,`password`,`accesstype`) VALUES ('1','$admin_fullname','$admin_username','$admin_password','admin')";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));


// Creating settings table //
$SQL = "CREATE TABLE `$mysql_database`.`settings` (`id` INT(5) NOT NULL AUTO_INCREMENT, `organization_name` VARCHAR(255) NOT NULL, `country` VARCHAR(255) NOT NULL, `external_adn` VARCHAR(255) NOT NULL, `installation_token` VARCHAR(255) NOT NULL, PRIMARY KEY (`id`)) ENGINE = InnoDB";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));

$SQL = "INSERT INTO settings (`id`,`organization_name`,`country`,`external_adn`,`installation_token`) VALUES ('1','$organization_name','','off','')";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));


// Creating info-table //
$SQL = "CREATE TABLE `$mysql_database`.`info` (`id` INT(2) NOT NULL AUTO_INCREMENT, `last_change` VARCHAR(255) NOT NULL, PRIMARY KEY (`id`)) ENGINE = InnoDB";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));

$SQL = "INSERT INTO info (`id`,`last_change`) VALUES ('1','27012019013300')";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));


// Creating news table // 
$SQL = "CREATE TABLE `$mysql_database`.`news` (`id` INT(5) NOT NULL AUTO_INCREMENT, `headline` VARCHAR(255) NOT NULL, `text` TEXT NOT NULL, `picture` VARCHAR(255) NULL, `status` VARCHAR(255) NULL, `display` VARCHAR(255) NULL, PRIMARY KEY (`id`)) ENGINE = InnoDB";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));

$SQL = "INSERT INTO news (`id`,`headline`,`text`) VALUES ('1','','')";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));

$SQL = "INSERT INTO news (`id`,`headline`,`text`) VALUES ('2','','')";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));

$SQL = "INSERT INTO news (`id`,`headline`,`text`) VALUES ('3','','')";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));

$SQL = "INSERT INTO news (`id`,`headline`,`text`) VALUES ('4','','')";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));

$SQL = "INSERT INTO news (`id`,`headline`,`text`) VALUES ('5','','')";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));

$SQL = "INSERT INTO news (`id`,`headline`,`text`) VALUES ('6','','')";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));

$SQL = "INSERT INTO news (`id`,`headline`,`text`) VALUES ('7','','')";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));

$SQL = "INSERT INTO news (`id`,`headline`,`text`) VALUES ('8','','')";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));

$SQL = "INSERT INTO news (`id`,`headline`,`text`) VALUES ('9','','')";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));

$SQL = "INSERT INTO news (`id`,`headline`,`text`) VALUES ('10','','')";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));


// Creating newsticker table //
$SQL = "CREATE TABLE `$mysql_database`.`newsticker` (`id` INT(5) NOT NULL AUTO_INCREMENT, `content` TEXT NOT NULL, PRIMARY KEY (`id`)) ENGINE = InnoDB";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));

$SQL = "INSERT INTO newsticker (`id`,`content`) VALUES ('1','http://www.bt.no/rss')";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));


// Creating poll table //
$SQL = "CREATE TABLE `$mysql_database`.`poll` (`id` INT(5) NOT NULL AUTO_INCREMENT, `question` VARCHAR(255) NOT NULL, `alternative1` VARCHAR(255) NOT NULL, `alternative2` VARCHAR(255) NOT NULL, `alternative3` VARCHAR(255) NOT NULL, `answer1` INT(255) NOT NULL, `answer2` INT(255) NOT NULL, `answer3` INT(255) NOT NULL, PRIMARY KEY (`id`)) ENGINE = InnoDB";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));

$SQL = "INSERT INTO poll (`id`,`question`,`alternative1`,`alternative2`,`alternative3`,`answer1`,`answer2`,`answer3`) VALUES ('1','','','','','1','1','1')";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));


// Creating table for receiving incomming SMS answers to poll //
$SQL = "CREATE TABLE `$mysql_database`.`poll_sms` (`id` INT(5) NOT NULL AUTO_INCREMENT, `sender` VARCHAR(255) NOT NULL, `datetime` VARCHAR(255) NOT NULL, PRIMARY KEY (`id`)) ENGINE = InnoDB";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
																													#
#####################################################################################################################


### GENERATE AN INSTALLATION TOKEN FOR ACTIVATION ###################################################################
																													#
$installation_token = md5(uniqid());																				#
																													#
$SQL = "UPDATE settings SET installation_token=('$installation_token') WHERE id=1";									#
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));																	#
																													#
#####################################################################################################################


### ACTIVATE INFO-TV AT INFO-TV.ORG SERVER ##########################################################################
																													#
/////////////////////////////////////////////////////////////////////////////////////////////////////////			#
// The activation process sends anonymous information about your INFO-TV installation to INFO-TV.ORG   //			#
// The information sent consists of an uniq id generated by your server.                               //			#
// INFO-TV.ORG will only use this information to generate statistics over installed INFO-TV world wide //			#
//                                                                                                     //			#
// NB! The activation process requires your server to be connected to internet during the activation!  //			#
/////////////////////////////////////////////////////////////////////////////////////////////////////////			#
																													#
																													#
if($activate_infotv == true)																						#
{																													#
																													#
	// Testing the connection to info-tv.org //																		#
	$timeout = 2; 																									#
	$test_connection = fsockopen("activation.info-tv.org", 80, $errno, $errstr, $timeout);							#
																													#
	if($test_connection != NULL)																					#
	{																												#
																													#
																													#
		$handle = fopen("http://activation.info-tv.org/activate_info-tv.php?accesscode=jkgy2388yrutgyw47tr73ty389573&installation_token=$installation_token","r");
		$result = fread($handle, 15);																				#
		fclose($handle);																							#
		if($result == "OK")																							#
		{																											#
			$activationstatus = $strInstaller_activationstatus;														#
		}																											#
		else																										#
		{																											#
			$activationstatus = $strErrorInstaller_activationstatus;												#
		}																											#
	}																												#
	else																											#
	{																												#
		$activationstatus = $strErrorInstaller_activationstatus;													#
	}																												#
}																													#
																													#
#####################################################################################################################


### PRINT INSTALLATION COMPLETE PAGE AND DISPLAY THE RESULT OF THE ACTIVATION #######################################
																													#
print '<!-- Header -->
<table class="header">
<tr>
<td></td>
</tr>
</table>

<!-- Content -->
<table class="content">
<tr>
<td style="width:25%; border:1px solid #000000; vertical-align:top;">'.$strInstaller_welcome.'
</td>
<td style="vertical-align:top;"><span style="font-family:Tahoma, Geneva, sans-serif; font-size:21pt; color:#000000;">'.$strInstaller_headline.'</span><hr /><br />

<!-- Block one -->
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$strInstaller_subheading_install_complete.'</span>
<table class="content_block_blue">
<tr>
<td>
'.$strInstaller_infotext_install_complete.'
<br />
<br />
'.$activationstatus.'
</td>
</tr>
</table>

</td>
</tr>
</table>

<!-- Footer -->
<table class="footer">
<tr>
<td>'.$strCopyright.' &copy; INFO-TV.ORG 2006 - 2024</td>
</tr>
</table>';
																													#
#####################################################################################################################
}
}

?>
</body>
</html>