<?php

///////////////////////////////////
// INFO-TV Language Support File //
// Date: 15th of August 2008     //
// Updated: 1st of April 2024    //
// Supported language: Norwegian //
// Charset: UTF-8 (UNICODE)      //
///////////////////////////////////


// INFO-TV Main Screen //
$strPoll                                       = "Gallupundersøkelse";
$strError_mysql_lost_connection                = "Tilkoblingen til MySQL-serveren er brutt! Prøver å koble til på nytt nå...";
$strError_server_lost_connection               = "<b>Mistet kontakt med serveren!</b><br />Prøver å koble til igjen innen 15 minutter...";
$strNews_current_of_total_p1                   = "Nå vises nyhet";
$strNews_current_of_total_p2                   = "av";


// INFO-TV Login System //
$strLogin_headline                             = "INFO-TV Administrasjon";
$strLogin_subheading_login                     = "Innlogging";

$strLogin_infotext_howto                       = "Vennligst tast inn ditt brukernavn og passord for å få tilgang til kontrollpanelet i INFO-TV!";
$strLogin_infotext_wait                        = "Vennligst vent...";

$strLogin_forms_username                       = "Brukernavn:";
$strLogin_forms_password                       = "Passord:";
$strLogin_forms_submitbtn                      = "Logg inn";


// INFO-TV Control Panel //
$strCp_headline                                = "INFO-TV Administrasjon";
$strCp_subheading_news_ad                      = "Nyheter og reklame";
$strCp_subheading_newsticker                   = "Direktesendte Nyheter";
$strCp_subheading_poll                         = "Gallupundersøkelse";
$strCp_subheading_adn                          = "INFO-TV.ORG Annonsenettverk";

$strCp_infotext_newsticker                     = "Nyhetstickeren benytter seg av RSS-teknologi for å hente og vise direktesendte nyheter. Vennligst fyll inn en gyldig webadresse til ønsket RSS-kanal.<br />Du kan også skrive inn din egen tekst for visning.";
$strCp_infotext_update_check                   = "Du vil nå bli koblet til info-tv.org oppdateringstjeneste. Dersom en oppdatering er tilgjengelig, vil du bli tilbudt å laste den ned direkte.";
$strCp_infotext_adn                            = "Denne tjenesten tillater INFO-TV å laste ned annonser basert på ditt land, fra en ekstern server. Denne tjenesten krever at din lokale INFO-TV server er koblet til Internett.";
$strCp_infotext_adncountries                   = "For en liste over støttede land, gå til";

$strCp_forms_news_id                           = "ID:";
$strCp_forms_news_id_select_std                = "Velg FØRST nyhet du vil erstatte!";
$strCp_forms_news_id_select_empty              = "&lt;Tomt&gt;";
$strCp_forms_news_id_select_edit               = "Denne nyheten redigeres:";
$strCp_forms_news_title                        = "Tittel:";
$strCp_forms_news_text                         = "Tekst:";
$strCp_forms_news_picture                      = "Bilde:";
$strCp_forms_news_keep_picture                 = "Behold eksisterende bilde?";
$strCp_forms_news_status                       = "Skal nyheten vises på skjermen?";
$strCp_forms_news_display                      = "Velg skjermen(e) nyheten skal vises på";
$strCp_forms_news_display_select_std           = "Velg skjermer";
$strCp_forms_news_display_select_all           = "Alle Skjermer";
$strCp_forms_news_display_select_id            = "Skjerm";
$strCp_forms_news_submitbtn                    = "Lagre nyhet";
$strCp_forms_news_resetbtn                     = "Nullstill editor";
$strCp_forms_newsticker_content                = "RSS-feed/Tekst:";
$strCp_forms_newsticker_submitbtn              = "Lagre nyhetsticker";
$strCp_forms_newsticker_resetbtn               = "Nullstill felt";
$strCp_forms_poll_question                     = "Spørsmål:";
$strCp_forms_poll_alternative                  = "Alternativ";
$strCp_forms_poll_reset_answer                 = "Nullstill svar:";
$strCp_forms_poll_submitbtn                    = "Lagre gallup";
$strCp_forms_poll_resetbtn                     = "Nullstill editor";
$strCp_forms_adn_submitbtn                     = "Lagre Innstillinger";
$strCp_forms_adn_backbtn                       = "Tilbake";
$strCp_forms_adn_country                       = "Land:";
$strCp_forms_adn_enabled                       = "Slå på?";

$strCp_updated                                 = "INFO-TV er oppdatert!<br />Vennligst vent...";
$strCp_update_check                            = "Se etter INFO-TV oppdateringer";
$str_moresettings                              = "Flere Innstillinger";
$strCp_activated                               = "Server-respons: INFO-TV har blitt aktivert!";
$strCp_adn_ok                                  = "Server-respons: Tilkobling til adn.info-tv.org OK!";

$strErrorCp_fileformat                         = "Filformatet støttes ikke!";
$strErrorCp_nonewsid                           = "Nyheten kan ikke legges til uten nyhetsid! Mer info må fylles ut. Klikk Tilbake i nettleseren din, og korriger deretter dette.";
$strErrorCp_notonlytitle                       = "Nyheten kan ikke legges til med BARE en tittel! Mer info må fylles ut. Klikk Tilbake i nettleseren din, og korriger deretter dette.";
$strErrorCp_notonlytext                        = "Nyheten kan ikke legges til med en tekst uten tittel! Mer info må fylles ut. Klikk Tilbake i nettleseren din, og korriger deretter dette.";
$strErrorCp_notonlypicture                     = "Nyheten kan ikke legges til med BARE et bilde! Mer info må fylles ut. Klikk Tilbake i nettleseren din, og korriger deretter dette.";
$strErrorCp_notactivated                       = "Server-respons: INFO-TV ikke aktivert! Vennligst aktiver din kopi av INFO-TV for å kunne ta i bruk denne tjenesten. Aktivere INFO-TV nå?";
$strErrorCp_adn_timeout                        = "Server-respons: Kan ikke koble til ekstern server (adn.info-tv.org) Grunn: Tidsavbrudd. Vennligst forsikre deg om at din lokale INFO-TV server er koblet til Internett før du kan ta i bruk denne tjenesten. Dersom din server er tilkoblet, vennligst forsøk å aktivere INFO-TV Annonsenettverk senere.";


// INFO-TV Update Service //
$strUpd_infotext_new_version                   = "En ny versjon av INFO-TV er nå tilgjengelig for nedlastning. Klikk på OK for å laste ned den nyeste versjonen nå.";
$strUpd_infotext_same_version                  = "Du har allerede den nyeste versjonen av INFO-TV installert. Klikk på OK for å gå tilbake til kontrollpanelet.";
$strUpd_infotext_temp_unavailable              = "Oppdateringstjenesten er for øyeblikket utilgjengelig! Prøv igjen senere...";


// INFO-TV Vote System //
$strVote_subheading_result                     = "Resultat av din stemme";

$strVote_infotext_thankyou                     = "Takk, din stemme er nå registrert!";
$strVote_infotext_alreadyvoted                 = "Du har allerede stemt på dette spørsmålet, og kan ikke stemme igjen!";

$strVote_forms_submitbtn                       = "Registrer din stemme!";


// INFO-TV Installer //
$strInstaller_headline                         = "Installeringsveiviser for INFO-TV";
$strInstaller_welcome                          = "<b>Takk for at du valgte INFO-TV fra INFO-TV.ORG!</b><br /><br />INFO-TV krever en Apache webserver med PHP5 og MySQL4 eller nyere for å kunne installeres på systemet ditt.
<br />
<br />
PHP må kjøres i production-modus (display_errors = Off)
<br />
<br />
Installasjonsveiviseren til høyre vil basert på inntastet informasjon opprette påkrevd konfigurasjonsfil og database.
<br />
<br />
Under installasjonen vil installasjonsveiviseren forsøke å koble seg opp mot info-tv.org sin webserver for aktivering. Dataene som sendes er ikke av personlig art, og består kun av en tilfeldig generert installasjonsnøkkel.
<br />
<br />
Installasjonsfilen install.php bør slettes etter en suksessfull installasjon for din INFO-TVs sikkerhet.";

$strInstaller_subheading_mysql                 = "MySQL-Konfigurasjon";
$strInstaller_subheading_organization          = "Din organisasjon";
$strInstaller_subheading_newadminaccount       = "Oppsett av konto for administrator";
$strInstaller_subheading_activation            = "Aktivere INFO-TV nå?";
$strInstaller_subheading_install_complete      = "Installasjonen er fullført";


$strInstaller_forms_mysql_server               = "MySQL-Server IP:";
$strInstaller_forms_mysql_username             = "MySQL Brukernavn:";
$strInstaller_forms_mysql_password             = "MySQL Passord:";
$strInstaller_forms_mysql_database             = "MySQL Database:";
$strInstaller_forms_organization_name          = "Organisasjonsnavn:";
$strInstaller_forms_admin_fullname             = "Ditt fulle navn:";
$strInstaller_forms_admin_username             = "Ditt brukernavn:";
$strInstaller_forms_admin_password             = "Ditt passord:";
$strInstaller_forms_admin_password_repeat      = "Gjenta passord:";
$strInstaller_forms_activation                 = "Vil du aktivere INFO-TV?";
$strInstaller_forms_submitbtn                  = "Installer nå";

$strInstaller_infotext_activation              = "Sender anonym informasjon om din INFO-TV installasjon til INFO-TV.ORG. Om du velger å aktivere din kopi av INFO-TV, kan du slå på ekstratjenester som INFO-TV Annonsenettverk senere.";
$strInstaller_infotext_install_complete        = "INFO-TV ble vellykket installert! Du kan nå logge deg inn på kontrollpanelet for å administrere nyheter. Takk for at du benytter deg av INFO-TV fra INFO-TV.ORG!";

$strInstaller_activationstatus                 = "INFO-TV ble vellykket aktivert! Takk skal du ha.";


$strErrorInstaller_forms_mysql_server          = "Mangler informasjon om MySQL-serveren!";
$strErrorInstaller_forms_mysql_username        = "Mangler brukernavn for pålogging til MySQL-server!";
$strErrorInstaller_forms_mysql_password        = "Mangler passord for pålogging til MySQL-server!";
$strErrorInstaller_forms_mysql_database        = "Mangler navn på databasen der INFO-TV skal installeres!";
$strErrorInstaller_forms_organization_name     = "Mangler navn på organisasjonen INFO-TV skal plasseres i!";
$strErrorInstaller_forms_admin_fullname        = "Mangler fullt navn på personen som skal administrere INFO-TV!";
$strErrorInstaller_forms_admin_username        = "Mangler brukernavn administrator skal benytte for pålogging til INFO-TV!";
$strErrorInstaller_forms_admin_password        = "Mangler passord administrator skal benytte for pålogging til INFO-TV!";
$strErrorInstaller_forms_admin_password_repeat = "Passordene stemmer ikke overens med hverandre!";
$strErrorInstaller_activationstatus            = "INFO-TV kunne ikke aktiveres akkurat nå! Din installasjon ble IKKE påvirket av dette.";
$strErrorInstaller_mysql_con                   = "<br />Kan ikke koble til MySQL-serveren du spesifiserte! Kontroller brukerinfo og evt serveradressen.";
$strErrorInstaller_phpversion                  = "<br />Serveren din har ikke støtte for PHP 5! Vennligst oppgrader eller bytt til et webhotell med støtte.";
$strErrorInstaller_create_config_file		   = "Installasjonsveiviseren kunne ikke opprette konfigurasjonsfil i INFO-TV rotmappe. Vennligst sett tillatelsene til CHMOD 777 for denne mappen midlertidig under installasjonen. Vennligst gå tilbake i nettleseren og prøv igjen etter tillatelsene er endret.";


// Misc //
$strCopyright                                  = "Opphavsrett";

?>