<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>INFO-TV - The easy way to reach people</title>
<style type="text/css">
body {
	background-color:#F8F8F8;
}

table.header {
	width:900px;
	margin-left:auto;
	margin-right:auto;
	height:80px;
	border:1px solid #000000;
	background-image:url(../images/info-tv_logo.gif);
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:11pt;
	color:#000000;
	text-align:right;
}

table.content {
	width:900px;
	margin-left:auto;
	margin-right:auto;
	height:auto;
	border-left:1px solid #000000;
	border-right:1px solid #000000;
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#000000;
	text-align:left;
}

table.content_block_blue {
	width:100%;
	height:auto;
	border:3px solid #0099CC;
	border-radius:15px;
}

table.content_forms {
	height:auto;
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#000000;
	text-align:left;
	margin-left:0px;
}

table.footer {
	width:900px;
	margin-left:auto;
	margin-right:auto;
	height:25px;
	border:1px solid #000000;
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#000000;
	text-align:center;
}

input {
	border:1px solid #000000;
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#00F;
}

input.submitbutton {
	border:1px solid #000000;
	border-radius:15px;
	background-image:url(../images/green_line.gif);
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	font-weight:bold;
	color:#FFFFFF;
}

input.resetbutton {
	border:1px solid #000000;
	border-radius:15px;
	background-image:url(../images/red_line.gif);
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	font-weight:bold;
	color:#FFFFFF;
}
</style>

<script type="text/javascript">
function preloadnews(newsid) {
	location.href="admin_cp.php?preloadnewsid="+newsid;
}

function clearnews() {
	document.form1.headline.value = "";
	document.form1.text.value = "";
	document.form1.picture.value = "";
}

function clearnewsticker() {
	document.form2.content.value = "";
}

function clearpoll() {
	document.form3.question.value = "";
	document.form3.alternative1.value = "";
	document.form3.alternative2.value = "";
	document.form3.alternative3.value = "";
}
</script>
</head>

<body>

<?php

//////////////////////////////
// INFO-TV Control Panel    //
// Date: 24.02.2008         //
// Updated: 01.04.2024      //
// Programmer: Håkon Hassel //
//////////////////////////////


// Loading language support file //
require("../lang/current-language.inc.php");


// Setting up default variable //
$error = false;
if(!isset($preloadnews))
{
	$preloadnews = NULL;
}

if(!isset($_GET['preloadnewsid']))
{
	$_GET['preloadnewsid'] = NULL;
}

if(!isset($headline))
{
	$headline = NULL;
}

if(!isset($text))
{
	$text = NULL;
}

if(!isset($picture))
{
	$picture = NULL;
}


// Getting data from cookies //
if(!isset($_COOKIE['username']))
{
	$_COOKIE['username'] = NULL;
}

if(!isset($_COOKIE['password']))
{
	$_COOKIE['password'] = NULL;
}

$username = $_COOKIE['username'];
$password = $_COOKIE['password'];


// Verifying content from COOKIES //
if($username == NULL)
{
	$error = true;
	$error_username = "No username entered!";
}
if($password == NULL)
{
	$error = true;
	$error_password = "No password entered!";
}



// Getting MySQL-settings //
require("../mysql_settings.php");

// Connecting to MySQL-server //
$link = mysqli_connect($mysql_server,$mysql_username,$mysql_password) or die (mysqli_error($link));
mysqli_select_db($link, $mysql_database) or die (mysqli_error($link));
$SQL = "$mysql_charset";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));


// Removing special chars that can disable MySQL-security //
$username = mysqli_escape_string($link, $username);
$password = mysqli_escape_string($link, $password);


// Validating user account //
if($username > NULL and $password > NULL)
{
	$SQL = "SELECT * FROM accounts WHERE username='$username' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$rows = mysqli_num_rows($result);

	if($rows > 0)
	{
		$data = mysqli_fetch_array($result);
		if($data['password'] != $password)
		{
			$error = true;
			$error_password = "Authentication failed: password not valid!";
		}
	}
	else
	{
		$error = true;
		$error_username = "Authentication failed: no account found!";
	}
}

if($error == false)
{
	// Getting some data from MySQL-server //
	$SQL = "SELECT * FROM news WHERE id='1' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data  = mysqli_fetch_array($result);
	$news1 = $data['headline'];
	
	if($news1 == NULL)
	{
		$news1 = $strCp_forms_news_id_select_empty;
	}
	
	$SQL = "SELECT * FROM news WHERE id='2' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data  = mysqli_fetch_array($result);
	$news2 = $data['headline'];
		
	if($news2 == NULL)
	{
		$news2 = $strCp_forms_news_id_select_empty;
	}
	
	$SQL = "SELECT * FROM news WHERE id='3' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data  = mysqli_fetch_array($result);
	$news3 = $data['headline'];
		
	if($news3 == NULL)
	{
		$news3 = $strCp_forms_news_id_select_empty;
	}
	
	$SQL = "SELECT * FROM news WHERE id='4' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data  = mysqli_fetch_array($result);
	$news4 = $data['headline'];
		
	if($news4 == NULL)
	{
		$news4 = $strCp_forms_news_id_select_empty;
	}
	
	$SQL = "SELECT * FROM news WHERE id='5' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data  = mysqli_fetch_array($result);
	$news5 = $data['headline'];
		
	if($news5 == NULL)
	{
		$news5 = $strCp_forms_news_id_select_empty;
	}
	
	$SQL = "SELECT * FROM news WHERE id='6' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data  = mysqli_fetch_array($result);
	$news6 = $data['headline'];
		
	if($news6 == NULL)
	{
		$news6 = $strCp_forms_news_id_select_empty;
	}
	
	$SQL = "SELECT * FROM news WHERE id='7' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data  = mysqli_fetch_array($result);
	$news7 = $data['headline'];
		
	if($news7 == NULL)
	{
		$news7 = $strCp_forms_news_id_select_empty;
	}
	
	$SQL = "SELECT * FROM news WHERE id='8' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data  = mysqli_fetch_array($result);
	$news8 = $data['headline'];
		
	if($news8 == NULL)
	{
		$news8 = $strCp_forms_news_id_select_empty;
	}
	
	$SQL = "SELECT * FROM news WHERE id='9' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data  = mysqli_fetch_array($result);
	$news9 = $data['headline'];
		
	if($news9 == NULL)
	{
		$news9 = $strCp_forms_news_id_select_empty;
	}
	
	$SQL = "SELECT * FROM news WHERE id='10' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data  = mysqli_fetch_array($result);
	$news10 = $data['headline'];
		
	if($news10 == NULL)
	{
		$news10 = $strCp_forms_news_id_select_empty;
	}
	
	$SQL = "SELECT * FROM newsticker WHERE id='1' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data = mysqli_fetch_array($result);
	$content = $data['content'];
	
	$SQL = "SELECT * FROM poll WHERE id='1' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data = mysqli_fetch_array($result);
	$question     = $data['question'];
	$alternative1 = $data['alternative1'];
	$alternative2 = $data['alternative2'];
	$alternative3 = $data['alternative3'];
	
	$SQL = "SELECT * FROM accounts WHERE username='$username' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data = mysqli_fetch_array($result);
	$fullname = $data['fullname'];
	
	
	// Getting data from GET-form //
	$preloadnewsid = $_GET['preloadnewsid'];
	
	
	// If the inserted ID is valid, get newscontent from MySQL and insert them into the respective fields //
	// Else, just print the regular select menu with headlines fetched from MySQL previously //
	if($preloadnewsid >= 1 and $preloadnews <= 10)
	{
		$SQL = "SELECT * FROM news WHERE id='$preloadnewsid' LIMIT 1";
		$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
		$data = mysqli_fetch_array($result);
		$headline = $data['headline'];
		$text = $data['text'];
		$picture = $data['picture'];
		
		$select_menu = '    <select name="newsid" onchange="preloadnews(this.value);">
    	<option value="'.$preloadnewsid.'">'.$strCp_forms_news_id_select_edit.' '.$preloadnewsid.'</option>
        <option value="1">'.$news1.'</option>
        <option value="2">'.$news2.'</option>
        <option value="3">'.$news3.'</option>
        <option value="4">'.$news4.'</option>
        <option value="5">'.$news5.'</option>
		<option value="6">'.$news6.'</option>
		<option value="7">'.$news7.'</option>
		<option value="8">'.$news8.'</option>
		<option value="9">'.$news9.'</option>
		<option value="10">'.$news10.'</option>
    </select>';
	}
	else
	{
		$select_menu = '    <select name="newsid" onchange="preloadnews(this.value);">
    	<option value="">'.$strCp_forms_news_id_select_std.'</option>
        <option value="1">'.$news1.'</option>
        <option value="2">'.$news2.'</option>
        <option value="3">'.$news3.'</option>
        <option value="4">'.$news4.'</option>
        <option value="5">'.$news5.'</option>
		<option value="6">'.$news6.'</option>
		<option value="7">'.$news7.'</option>
		<option value="8">'.$news8.'</option>
		<option value="9">'.$news9.'</option>
		<option value="10">'.$news10.'</option>
    </select>';
	}
	
	
	// Printing the control panel document //

print '<!-- Header -->
<table class="header">
<tr>
<td style="margin-right:10px;">'.$fullname.'</td>
</tr>
</table>

<!-- Content -->
<table class="content">
<tr>
<td style="vertical-align:top;"><span style="font-family:Tahoma, Geneva, sans-serif; font-size:21pt; color:#000000;">'.$strCp_headline.'</span><hr /><br />


<!-- Block one -->
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$strCp_subheading_news_ad.'</span>
<table class="content_block_blue">
<tr>
<td>

<table class="content_forms">
<form action="alter_news_ad.php" method="post" enctype="multipart/form-data" name="form1">
<tr>
<td>'.$strCp_forms_news_id.'</td>
<td>'.$select_menu.'</td>
</tr>
<tr>
<td>'.$strCp_forms_news_title.'</td>
<td><input name="headline" type="text" size="38" value="'.$headline.'"/></td>
</tr>
<tr>
<td>'.$strCp_forms_news_text.'</td>
<td><textarea name="text" cols="30" rows="6">'.$text.'</textarea></td>
</tr>
<tr>
<td>'.$strCp_forms_news_picture.'</td>
<td><input name="picture" type="file" size="17" /></td>';
if($picture != NULL) { print '<tr><td><input name="keep_picture" type="checkbox" value="true" checked /></td><td>&larr; '.$strCp_forms_news_keep_picture.'</td></tr>'; }
print '
</tr>';

if($headline != NULL)
{ 
	if($data['status'] == "active")
	{
		$status = "checked";
	}
	else
	{
		$status = NULL;
	}
	print '<tr>
<td><input name="status" type="checkbox" value="active" '.$status.' /></td><td>&larr; '.$strCp_forms_news_status.'</td>
</tr>'; 
}
else
{
	print '<tr>
<td><input name="status" type="checkbox" value="active" checked /></td><td>&larr; '.$strCp_forms_news_status.'</td>
</tr>';
}

if(!isset($data['display']))
{
	$data['display'] = NULL;
}

if($data['display'] == NULL or $headline == NULL)
{
	print '
	<tr>
	<td><select name="display">
    		<option value="">'.$strCp_forms_news_display_select_std.'</option>
        	<option value="all">'.$strCp_forms_news_display_select_all.'</option>
        	<option value="1">'.$strCp_forms_news_display_select_id.' #1</option>
        	<option value="2">'.$strCp_forms_news_display_select_id.' #2</option>
			<option value="3">'.$strCp_forms_news_display_select_id.' #3</option>
    	</select></td>';
}
else
{
	if($data['display'] == "all")
	{
		$display_txt = $strCp_forms_news_display_select_all;
	}

	if($data['display'] == "1")
	{
		$display_txt = ''.$strCp_forms_news_display_select_id.' #1';
	}

	if($data['display'] == "2")
	{
		$display_txt = ''.$strCp_forms_news_display_select_id.' #2';
	}
	
	if($data['display'] == "3")
	{
		$display_txt = ''.$strCp_forms_news_display_select_id.' #3';
	}
	
	print '
	<tr>
	<td><select name="display">
    		<option value="'.$data['display'].'">'.$display_txt.'</option>
        	<option value="all">'.$strCp_forms_news_display_select_all.'</option>
        	<option value="1">'.$strCp_forms_news_display_select_id.' #1</option>
        	<option value="2">'.$strCp_forms_news_display_select_id.' #2</option>
			<option value="3">'.$strCp_forms_news_display_select_id.' #3</option>
    	</select></td>';
}


print '<td>&larr; '.$strCp_forms_news_display.'</td>
</tr>

<tr>
<td><input name="submit" type="submit" class="submitbutton" value="'.$strCp_forms_news_submitbtn.'" /></td>
<td><input name="reset" type="button" class="resetbutton" value="'.$strCp_forms_news_resetbtn.'" onclick="clearnews();" /></td>
</tr>
</form>
</table>

</td>
</tr>
</table>
<br />
<br />


<!-- Block two -->
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$strCp_subheading_newsticker.'</span>
<table class="content_block_blue">
<tr>
<td>'.$strCp_infotext_newsticker.'<br /><br />
<table class="content_forms">
<form action="alter_newsticker.php" method="post" name="form2">
<tr>
<td>'.$strCp_forms_newsticker_content.'</td>
<td><input name="content" type="text" size="43" value="'.$content.'" /></td>
</tr>
<tr>
<td><input name="submit" type="submit" class="submitbutton" value="'.$strCp_forms_newsticker_submitbtn.'" /></td>
<td><input name="reset" type="button" class="resetbutton" value="'.$strCp_forms_newsticker_resetbtn.'" onclick="clearnewsticker();" /></td>
</tr>
</form>
</table>

</td>
</tr>
</table>
<br />
<br />


<!-- Block three -->
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$strCp_subheading_poll.'</span>
<table class="content_block_blue">
<tr>
<td>

<table class="content_forms">
<form action="alter_poll.php" method="post" name="form3">
<tr>
<td>'.$strCp_forms_poll_question.'</td>
<td><input name="question" type="text" size="28" value="'.$question.'" /></td>
</tr>
<tr>
<td>'.$strCp_forms_poll_alternative.' 1:</td>
<td><input name="alternative1" type="text" size="28" value="'.$alternative1.'" /></td>
</tr>
<tr>
<td>'.$strCp_forms_poll_alternative.' 2:</td>
<td><input name="alternative2" type="text" size="28" value="'.$alternative2.'" /></td>
</tr>
<tr>
<td>'.$strCp_forms_poll_alternative.' 3:</td>
<td><input name="alternative3" type="text" size="28" value="'.$alternative3.'" /></td>
</tr>
<tr>
<td>'.$strCp_forms_poll_reset_answer.'</td>
<td><input name="poll_reset" type="checkbox" value="true" /></td>
</tr>
<tr>
<td><input name="submit" type="submit" class="submitbutton" value="'.$strCp_forms_poll_submitbtn.'" /></td>
<td><input name="reset" type="button" class="resetbutton" value="'.$strCp_forms_poll_resetbtn.'" onclick="clearpoll();" /></td>
</tr>
</form>
</table>

</td>
</tr>
</table>
<br />
<br />

<script language="javascript">

function Update_check()

{

	var Update_check= confirm("'.$strCp_infotext_update_check.'");
	
	if(Update_check)
	{
		window.location="update_check.php";
	}
}

function Goto_moresettings()

{
	window.location="admin_cp2.php";
}
</script>
<input name="submit" type="button" class="submitbutton" value="'.$strCp_update_check.'" onClick="Update_check()" />&nbsp;&nbsp;&nbsp;&nbsp;
<!-- For future use <input name="submit" type="button" class="submitbutton" value="'.$str_moresettings.'" onClick="Goto_moresettings()" /> -->

<br />
<br />
</td>
</tr>
</table>

<!-- Footer -->
<table class="footer">
<tr>
<td>'.$strCopyright.' &copy; INFO-TV.ORG 2006 - 2024</td>
</tr>
</table>';

}
else
{
	print "<p>$error_username<br />$error_password</p>";
}

?>
</body>
</html>