<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>INFO-TV - The easy way to rech people</title>
</head>

<body onload="Update_check()">
<?php

///////////////////////////////
// INFO-TV Update Check      //
// Date: 10th of August 2009 //
// Updated: 01.04.2024       //
// Programmer: Håkon Hassel  //
///////////////////////////////


// Loading language support file //
require("../lang/current-language.inc.php");


// Loading version.cfg information file //
$installed_version = file_get_contents("../version.cfg") or die ('Your version.cfg file can not be found!');


// Testing the connection to info-tv.org //
$timeout = 2; 
$test_connection = fsockopen("update.info-tv.org", 80, $errno, $errstr, $timeout);

if($test_connection != NULL)
{

	// Loading information about current INFO-TV version from INFO-TV.ORG //
	$current_version = file_get_contents("http://update.info-tv.org/current_version.cfg");
	
	
	// Comparing the installed version with the current version of INFO-TV available from info-tv.org //
	if($installed_version < $current_version)
	{
		print '<script language="javascript">
		
		function Update_check()
		
		{
		
			var Update_check= confirm("'.$strUpd_infotext_new_version.'");
			
			if(Update_check == true)
			{
				window.location="https://update.info-tv.org";
			}
			else
			{
				window.location="admin_cp.php";
			}
		}
		</script>';
	}
	else
	{
		print '<script language="javascript">
		
		function Update_check()
		
		{
			
			var Update_check= alert("'.$strUpd_infotext_same_version.'");
			window.location="admin_cp.php";
		}
		</script>';
	}
}
else
{
	print '<script language="javascript">
	
	function Update_check()
	
	{
	
		var Update_check= alert("'.$strUpd_infotext_temp_unavailable.'");
		window.location="admin_cp.php";
	}
	</script>';
}

?>
</body>
</html>