<?php

///////////////////////////////
// INFO-TV - News Scroller   //
// Date: 13th of July 2009   //
// Updated: 01.04.2024       //
// Programmer: Håkon Hassel  //
///////////////////////////////


// Getting MySQL-settings //
require("mysql_settings.php");

// Connecting to MySQL-server //
$link = mysqli_connect($mysql_server,$mysql_username,$mysql_password) or die ('The MySQL-connection is broken! Trying to reconnect now... <meta http-equiv="refresh" content="5;url=bottom.php" />');
mysqli_select_db($link, $mysql_database) or die ('The MySQL-connection is broken! Trying to reconnect now... <meta http-equiv="refresh" content="5;url=bottom.php" />');
$SQL = "$mysql_charset";
$result = mysqli_query($link, $SQL) or die ('The MySQL-connection is broken! Trying to reconnect now... <meta http-equiv="refresh" content="5;url=bottom.php" />');


// Getting newsticker-text from a table in the database //
$SQL = "SELECT * FROM newsticker WHERE id='1' LIMIT 1";
$result = mysqli_query($link, $SQL) or die ('The MySQL-connection is broken! Trying to reconnect now... <meta http-equiv="refresh" content="5;url=bottom.php" />');
$data = mysqli_fetch_array($result);

// Setting up a new variable and copying text from $data //
$content = $data['content'];

// Validating content //
$type = substr($content,0,7);

if($type == "http://" or $type == "https:/")
{ # Then it is a RSS-feed

// Reading RSS-feed //
$content = file_get_contents($content) or die ('The RSS-feed supplied can not be downloaded! Trying to reconnect now... <meta http-equiv="refresh" content="5;url=bottom.php" />');   
$rss = new SimpleXmlElement($content);

$maintitle       = $rss->channel->title;
$maindescription = $rss->channel->description;

$maintitle       = strip_tags($maintitle);
$maindescription = strip_tags($maindescription);

$newsticker = "$maintitle - $maindescription";

foreach($rss->channel->item as $entry)
{
	$title       = $entry->title;
	$description = $entry->description;

	$title       = strip_tags($title);
	$description = strip_tags($description);
	$newsticker  = "$newsticker | $title:&nbsp;&nbsp; $description";
}
}
else
{
	# Printing raw text from content in MySQL-database
	$newsticker = $content;
}


// Getting the number of characters used in the newsticker //
$charlength = strlen($newsticker);


// Calculating seconds needed to display the text before refreshing again //
$blocks = $charlength / 52;
$neededseconds = $blocks * 5;
$neededseconds = $neededseconds + 5;
$neededseconds = round($neededseconds);

?>

<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<meta http-equiv='refresh' content='<?php print "$neededseconds"; ?>; url=bottom.php'>
<title>INFO-TV - The easy way to reach people</title>
<style type="text/css">

html {
	overflow:hidden;
}

body {
	background-color:#000000;
	margin-top:0px;
}
</style>
<script type='text/javascript'>
var i=1
function changePosition()
{
document.getElementById('display').style.position='relative';
document.getElementById('display').style.right=++i+'px';
i++;
i++;
i++;
}
</script>

</head>
<body onload="changePosition(); setInterval('changePosition()',17);">

<div style="background-color:#000000; width:1000000px; font-family:Trebuchet MS, Verdana, sans-serif; font-size:40px; color:#FFFFFF;" id="display">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php print "$newsticker"; ?></div>

</body>
</html>