<?php

///////////////////////////////////
// INFO-TV Language Support File //
// Date: 15th of August 2008     //
// Updated: 1st of April 2024    //
// Supported language: English   //
// Charset: UTF-8 (UNICODE)      //
///////////////////////////////////


// INFO-TV Main Screen //
$strPoll                                       = "Poll";
$strError_mysql_lost_connection                = "The MySQL-connection is broken! Trying to reconnect now...";
$strError_server_lost_connection               = "<b>Lost connectivity with server!</b><br />Trying to reconnect within 15 minutes...";
$strNews_current_of_total_p1                   = "Now showing news";
$strNews_current_of_total_p2                   = "of";


// INFO-TV Login System //
$strLogin_headline                             = "INFO-TV Administration";
$strLogin_subheading_login                     = "Log in";

$strLogin_infotext_howto                       = "Please enter your username and password to access the INFO-TV control panel!";
$strLogin_infotext_wait                        = "Please wait...";

$strLogin_forms_username                       = "Username:";
$strLogin_forms_password                       = "Password:";
$strLogin_forms_submitbtn                      = "Log in";


// INFO-TV Control Panel //
$strCp_headline                                = "INFO-TV Administration";
$strCp_subheading_news_ad                      = "News and Advertising";
$strCp_subheading_newsticker                   = "Directly broadcasted News";
$strCp_subheading_poll                         = "Poll";
$strCp_subheading_adn                          = "INFO-TV.ORG Ad Network";

$strCp_infotext_newsticker                     = "The newsticker uses RSS-technology to obtain directly broadcasted newsfeeds from the web. Please enter a valid RSS-webaddress in the textbox below to use this service. You can also write your own text to display.";
$strCp_infotext_update_check                   = "You will now be connected to info-tv.org update service. If an update is available, you will be offered to download it directly.";
$strCp_infotext_adn                            = "Enabling this service allows INFO-TV to download advertisements based on your country from an external server. This feature requires the server to be connected to the Internet.";
$strCp_infotext_adncountries                   = "For a list of supported countries, go to";

$strCp_forms_news_id                           = "ID:";
$strCp_forms_news_id_select_std                = "First choose the news you want to replace!";
$strCp_forms_news_id_select_empty              = "&lt;Empty&gt;";
$strCp_forms_news_id_select_edit               = "Now editing news id:";
$strCp_forms_news_title                        = "Title:";
$strCp_forms_news_text                         = "Text:";
$strCp_forms_news_picture                      = "Picture:";
$strCp_forms_news_keep_picture                 = "Keep current picture?";
$strCp_forms_news_status                       = "Shall the news be displayed on the screen?";
$strCp_forms_news_display                      = "Select the display(s) that will display the news";
$strCp_forms_news_display_select_std           = "Select Displays";
$strCp_forms_news_display_select_all           = "All Displays";
$strCp_forms_news_display_select_id            = "Display";
$strCp_forms_news_submitbtn                    = "Save news";
$strCp_forms_news_resetbtn                     = "Reset editor";
$strCp_forms_newsticker_content                = "RSS-feed/Text:";
$strCp_forms_newsticker_submitbtn              = "Save newsticker";
$strCp_forms_newsticker_resetbtn               = "Reset field";
$strCp_forms_poll_question                     = "Question:";
$strCp_forms_poll_alternative                  = "Alternative";
$strCp_forms_poll_reset_answer                 = "Reset answer:";
$strCp_forms_poll_submitbtn                    = "Save poll";
$strCp_forms_poll_resetbtn                     = "Reset editor";
$strCp_forms_adn_submitbtn                     = "Save settings";
$strCp_forms_adn_backbtn                       = "Back";
$strCp_forms_adn_country                       = "Country:";
$strCp_forms_adn_enabled                       = "Enabled?";

$strCp_updated                                 = "INFO-TV is updated!<br />Please wait...";
$strCp_update_check                            = "Check for INFO-TV Updates";
$str_moresettings                              = "More Settings";
$strCp_activated                               = "Server-response: INFO-TV has been Activated!";
$strCp_adn_ok                                  = "Server-response: Connectivity to adn.info-tv.org OK!";

$strErrorCp_fileformat                         = "Unsupported file format";
$strErrorCp_nonewsid                           = "You can not create a news post without a newsid! Please click Back in your web browser to add more information.";
$strErrorCp_notonlytitle                       = "You can not create a news post with ONLY a title! Please click Back in your web browser to add more information.";
$strErrorCp_notonlytext                        = "You can not create a news post text without a title! Please click Back in your web browser to add more information.";
$strErrorCp_notonlypicture                     = "You can not create a news post with picture only! Please click Back in your webbrowser to add more information.";
$strErrorCp_notactivated                       = "Server-response: INFO-TV not Activated! Please activate your copy of INFO-TV before using this service. Do you want to activate INFO-TV now?";
$strErrorCp_adn_timeout                        = "Server-response: Can not connect to external server (adn.info-tv.org) Reason: Time-out. Please ensure that your local INFO-TV server is properly connected to the Internet before using this service! If your server is connected, please try to enable Ad Network again later.";


// INFO-TV Update Service //
$strUpd_infotext_new_version                   = "A new version of INFO-TV is available for download! Click OK to download the latest version.";
$strUpd_infotext_same_version                  = "You already have the current version of INFO-TV installed! Click OK to go back to the control panel.";
$strUpd_infotext_temp_unavailable              = "The Update Service is temporary unavailable! Please try again later...";


// INFO-TV Vote System //
$strVote_subheading_result                     = "The result of your vote";

$strVote_infotext_thankyou                     = "Thank you, your vote is now registered!";
$strVote_infotext_alreadyvoted                 = "You have already voted for this poll before! Your new vote was not counted this time.";

$strVote_forms_submitbtn                       = "Register your vote!";


// INFO-TV Installer //
$strInstaller_headline                         = "Installation Wizard for INFO-TV";
$strInstaller_welcome                          = "<b>Thank you for choosing INFO-TV from INFO-TV.ORG!</b><br /><br />INFO-TV requires an Apache web server with PHP5 and MySQL4 support or higher, to be installed on your system!
<br />
<br />
PHP must be run in production-mode (display_errors = Off)
<br />
<br />
The installation wizard will based on your input information automatically create the required configuration file and database used by INFO-TV.
<br />
<br />
During the installation the installation wizard might try to connect to info-tv.org web server for activation. The data sent does not consist of any personal information, only a randomly generated installation token.
<br />
<br />
To ensure the safety of your INFO-TV, please delete install.php after an successful installation.";

$strInstaller_subheading_mysql                 = "MySQL-Configuration";
$strInstaller_subheading_organization          = "Your Organization";
$strInstaller_subheading_newadminaccount       = "Administrator account setup";
$strInstaller_subheading_activation            = "Activate INFO-TV now?";
$strInstaller_subheading_install_complete      = "The installation is complete!";


$strInstaller_forms_mysql_server               = "MySQL-Server IP:";
$strInstaller_forms_mysql_username             = "MySQL Username:";
$strInstaller_forms_mysql_password             = "MySQL Password:";
$strInstaller_forms_mysql_database             = "MySQL Database:";
$strInstaller_forms_organization_name          = "Organization name:";
$strInstaller_forms_admin_fullname             = "Your full name:";
$strInstaller_forms_admin_username             = "Your username:";
$strInstaller_forms_admin_password             = "Your password:";
$strInstaller_forms_admin_password_repeat      = "Repeat password:";
$strInstaller_forms_activation                 = "Do you allow INFO-TV to be activated?";
$strInstaller_forms_submitbtn                  = "Install now";

$strInstaller_infotext_activation              = "Sends anonymous information about your INFO-TV installation to info-tv.org. If you choose to activate your copy of INFO-TV, you can enable extra features such as INFO-TV Ad Network later.";
$strInstaller_infotext_install_complete        = "INFO-TV was successfully installed to your system. You can now log in to your control panel to begin adding content to INFO-TV. Thank you for using INFO-TV from INFO-TV.ORG!";

$strInstaller_activationstatus                 = "INFO-TV was successfully activated. Thank you.";


$strErrorInstaller_forms_mysql_server          = "Missing information about your MySQL-server!";
$strErrorInstaller_forms_mysql_username        = "Missing username for login to your MySQL-server!";
$strErrorInstaller_forms_mysql_password        = "Missing password for login to your MySQL-server!";
$strErrorInstaller_forms_mysql_database        = "Missing the name of the database where INFO-TV should be installed!";
$strErrorInstaller_forms_organization_name     = "Missing the name of the organization where INFO-TV is going to be placed!";
$strErrorInstaller_forms_admin_fullname        = "Missing the full name of the person who is going to administrate INFO-TV!";
$strErrorInstaller_forms_admin_username        = "Missing the username that the administrator should use to log in to INFO-TV!";
$strErrorInstaller_forms_admin_password        = "Missing the password that the administrator should use to log in to INFO-TV!";
$strErrorInstaller_forms_admin_password_repeat = "The two entered passwords are not equal!";
$strErrorInstaller_activationstatus            = "INFO-TV could not be activated right now. Your installation is NOT affected by the error.";
$strErrorInstaller_mysql_con                   = "<br />Can not connect to the MySQL server specified! Please check the credentials or server address.";
$strErrorInstaller_phpversion                  = "<br />Your server does not support PHP 5! Please upgrade it, or choose another web hotel with support.";
$strErrorInstaller_create_config_file		   = "The installer could not create configuration file in INFO-TV root folder. The permissions for this folder must be set temporarily to CHMOD 777 during the installation process. Please go back and correct permissions before trying again.";


// Misc //
$strCopyright                                  = "Copyright";

?>