<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<title>INFO-TV - The easy way to reach people</title>
<style type="text/css">
html {
	overflow:hidden;
}
body {
	font-family:Trebuchet MS, Verdana;
	font-size:50px;
	color:#000000;
	margin-top:10px;

}
</style>

</head>

<body>

<?php

//////////////////////////////
// INFO-TV Main Frame       //
// Date: 24th of June 2008  //
// Updated: 12.04.2024      //
// Programmer: Håkon Hassel //
//////////////////////////////


// Loading language support file //
require("lang/current-language.inc.php");

// Getting MySQL-settings //
require("mysql_settings.php");


// Getting display-ID from HTTP GET form //
if(!isset($_GET['display']))
{
	$_GET['display'] = NULL;
}

$display = $_GET['display'];


// Connecting to MySQL-server //
$link = mysqli_connect($mysql_server,$mysql_username,$mysql_password) or die (''.$strError_mysql_lost_connection.' <meta http-equiv="refresh" content="5;url=middle.php?display='.$display.'">');
mysqli_select_db($link, $mysql_database) or die (''.$strError_mysql_lost_connection.' <meta http-equiv="refresh" content="5;url=middle.php?display='.$display.'">');
$SQL = "$mysql_charset";
$result = mysqli_query($link, $SQL) or die (''.$strError_mysql_lost_connection.' <meta http-equiv="refresh" content="5;url=middle.php?display='.$display.'">');


// Getting number of news with content, active, and decided for this display //
	$SQL = "SELECT * FROM news WHERE display='$display' and headline != '' and status='active'";
	$result = mysqli_query($link, $SQL) or die (''.$strError_mysql_lost_connection.' <meta http-equiv="refresh" content="5;url=middle.php?display='.$display.'">');
	$available_news_count_total = mysqli_num_rows($result);


	# Get news for all displays #
	$SQL = "SELECT * FROM news WHERE display='all' and headline != '' and status='active'";
	$result = mysqli_query($link, $SQL) or die (''.$strError_mysql_lost_connection.' <meta http-equiv="refresh" content="5;url=middle.php?display='.$display.'">');
	
	# Do the math #
	$available_news_count_total = $available_news_count_total + mysqli_num_rows($result);
	
	# Store data in server-side session #
	session_start();
	$_SESSION['available_news_count_total'] = $available_news_count_total;
	$_SESSION['available_news_count_current'] = "0";

	


// Start sliding on bananas! //
	print '<div class="slide"><img src="images/info-tv_logo.gif" width="904" height="84" alt="INFO-TV.ORG Logo"><br>www.info-tv.org</div>';





// Get data from database table //
$SQL = "SELECT * FROM news WHERE display='$display' or display='all' and headline != '' and status = 'active'";
$result = mysqli_query($link, $SQL) or die (''.$strError_mysql_lost_connection.' <meta http-equiv="refresh" content="5;url=middle.php?display='.$display.'">');


while($data = mysqli_fetch_array($result))
{
	$headline	= $data['headline'];
	$text		= $data['text'];


	print '<div class="slide">';

	// Display wich news the system is at, of the total //
	$available_news_count_current = $_SESSION['available_news_count_current'];
	$available_news_count_current = $available_news_count_current + 1;
	$_SESSION['available_news_count_current'] = $available_news_count_current;
	$available_news_count_total = $_SESSION['available_news_count_total'];
	
	print '<span style="font-size:20pt; position:fixed; top:0px; right:15px;">'.$strNews_current_of_total_p1.' '.$available_news_count_current.' '.$strNews_current_of_total_p2.' '.$available_news_count_total.'</span>';



	# Displays a standard newspage with both text and picture #
	if($data['text'] != NULL and $data['picture'] != NULL)
	{
		print '<span style="position:fixed; top:25px;"><img style="float:left; border:1px solid #000; width:640px; height:480px; margin-right:4px;" src="images/uploads/'.$data['picture'].'" alt="'.$data['picture'].'"><b><u>'.$data['headline'].'</u></b><br>'.$text.'</span>';
	}
	
	# Displays only a big picture #
	if($data['text'] <= NULL and $data['picture'] > NULL)
	{
		print '<img src="images/uploads/'.$data['picture'].'" class="fullscreenimage" style="position:fixed; top:0px; left:0px; width:100%;" alt="'.$data['picture'].'">';
	}
	
	# Displays only text in a table #
	if($data['text'] > NULL and $data['picture'] <= NULL)
	{
		print '<p align="center"><b>'.$data['headline'].'</b></p>
		<p align="center">'.$text.'</p>';
	}




	print '</div>';
}


$SQL = "SELECT * FROM poll WHERE id=1 LIMIT 1";
$result = mysqli_query($link, $SQL) or die (''.$strError_mysql_lost_connection.' <meta http-equiv="refresh" content="5;url=middle.php?display='.$display.'">');
$data = mysqli_fetch_array($result);
if(!isset($data['text']))
{
	$data['text'] = NULL;
}
$text = $data['text'];


$text = nl2br($text);

$question = $data['question'];
$alternative1 = $data['alternative1'];
$alternative2 = $data['alternative2'];
$alternative3 = $data['alternative3'];
$answer1 = $data['answer1'];
$answer2  = $data['answer2'];
$answer3 = $data['answer3'];

if($question == NULL){
// Do nothing //
}
else {
$sum = $answer1 + $answer2 + $answer3;

if($sum > 0)
{
	$var1 = 100 * $answer1 / $sum;
	$var2 = 100 * $answer2 / $sum;
	$var3 = 100 * $answer3 / $sum;

	$var1 = round($var1);
	$var2 = round($var2);
	$var3 = round($var3);

	$greenline_width  = 430 / 100 * $var1;
	$redline_width    = 430 / 100 * $var2;
	$yellowline_width = 430 / 100 * $var3;
}

print '<div class="slide"><b>'.$strPoll.'</b><br>'.$question.'<br><br><table border="0" cellpadding="0" cellspacing="0" width="960">

                <tr>

                    <td width="300"><font face="Trebuchet MS"><span style="font-size:20pt;">'.$alternative1.':</span></font></td>

                    <td width="450"><font face="Trebuchet MS"><span style="font-size:20pt;"><div style="background:linear-gradient(to right, #25CF1E, #10AD09); width:'.$greenline_width.'px; height:50px;"></div></span></font></td>

                    <td width="175"><font face="Trebuchet MS"><span style="font-size:20pt;">&nbsp;'.$var1.' %</span></font></td>

                    <td width="160"><font face="Trebuchet MS"><span style="font-size:20pt;">('.$answer1.')</span></font></td>

                </tr>

                <tr>

                    <td width="300"><font face="Trebuchet MS"><span style="font-size:20pt;">'.$alternative2.':</span></font></td>

                    <td width="450"><font face="Trebuchet MS"><span style="font-size:20pt;"><div style="background:linear-gradient(to right, #FF3033, #FF0004); width:'.$redline_width.'px; height:50px;"></div></span></font></td>

                    <td width="175"><font face="Trebuchet MS"><span style="font-size:20pt;">&nbsp;'.$var2.' %</span></font></td>

                    <td width="160"><font face="Trebuchet MS"><span style="font-size:20pt;">('.$answer2.')</span></font></td>

                </tr>

                <tr>

                    <td width="300"><font face="Trebuchet MS"><span style="font-size:20pt;">'.$alternative3.':</span></font></td>

                    <td width="450"><font face="Trebuchet MS"><span style="font-size:20pt;"><div style="background:linear-gradient(to right, #FFF966, #F8EF00); width:'.$yellowline_width.'px; height:50px;"></div></span></font></td>


                    <td width="175"><font face="Trebuchet MS"><span style="font-size:20pt;">&nbsp;'.$var3.' %</span></font></td>

                    <td width="160"><font face="Trebuchet MS"><span style="font-size:20pt;">('.$answer3.')</span></font></td>

                </tr>

            </table></div>';
}


?>


<script>
// Initializing slideIndex at ground zero, fsIndex may not always align with slideIndex //
var slideIndex = 0;
var fsIndex = -1; // Start with -1 to handle the initial increment differently

// Firing up the carousel mechanism //
carousel();

function carousel() {

  var i;
  
  // Define variables to reference specific HTML elements in this document //
  var slide = document.getElementsByClassName("slide");
  var fs  = document.getElementsByClassName("fullscreenimage");
  
  // Initially, hide all div elements on each invocation of the carousel function //
  for (i = 0; i < slide.length; i++) {
    slide[i].style.display = "none";
  }

  // Increment slideIndex by 1 on each call to the carousel function //
  slideIndex++;

  // Ensure slideIndex doesn't exceed the bounds of the slide array //
  if (slideIndex > slide.length) {slideIndex = 1}

  // Display the next slide //
  slide[slideIndex-1].style.display = "block";
  
  // Only attempt to show a fullscreen image if fsIndex is within bounds //
  if (fs.length > 0) { // Check if there are any fullscreen images at all
    fsIndex = (fsIndex + 1) % fs.length; // Cycle through fullscreen images safely
    fs[fsIndex].style.height = (screen.height - 155 + "px");
  }

  // Reset and set the timeout for the next carousel call //
  // Adjusted logic to ensure the carousel doesn't speed up unintentionally //
  clearTimeout(carousel);
  setTimeout(carousel, (slideIndex === 1) ? 3000 : 15000); // First slide waits 3s, others wait 15s
}
</script>


</body>
</html>